API reference

This section provides the API reference for the Merchant Onboarding service.

Use the following base URLs for sending API requests:

  • Testing environment: https://us-esapi.stg.mpay.samsung.com
  • Production environment: https://us-esapi.mpay.samsung.com

Retrieve all services

Retrieves all your services.

Endpoint

GET /wallet/v1/partner/services

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Response codes

Code

Type

Message

200

OK

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 200 OK code

Field
Type

Description

companyId

String

Business account name available in your Business Account profile details on the Samsung Pay Portal.

companyName

String

Company name available in your Business Account profile details on the Samsung Pay Portal.

services

Array

Array of services.

services.serviceId

String

Unique service ID.

services.serviceName

String

Service name.

services.serviceType

String

Service type.
The possible values are:
  • Web Online Payment
  • W3C
  • InApp Online Payment

services.serviceStatus

String

Service status.
The possible values are:
  • Debugging: Service is in development and not yet released.
  • Verifying: Service is pending Samsung approval.
  • Approved: Service is active and available for online payments.
  • Blocked: Service is inactive and cannot be used.

Example

200 OK response:

{
  "companyId": "b449a46cec871291a58ad2",
  "companyName": "Samsung Pay Partner Company",
  "services": [
    {
      "serviceId": "b449a46cec634171a58ad2",
      "serviceName": "Wallet Web Online",
      "serviceType": "Web Online Payment",
      "serviceStatus": "Approved"
    },
    {
      "serviceId": "a889a46cec222171a58ad3",
      "serviceName": "Online Payment Sample",
      "serviceType": "W3C",
      "serviceStatus": "Approved"
    },
    {
      "serviceId": "k892a46cec444171a58aa7",
      "serviceName": "InApp Payment Sample",
      "serviceType": "InApp Online Payment",
      "serviceStatus": "Approved"
    }
  ]
}

Retrieve service details

Retrieves the details of a specific service.

Endpoint

GET /wallet/v1/partner/services/{serviceId}

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Path

serviceId

String

Required

Unique ID of the service to be retrieved.

Response codes

Code

Type

Message

200

OK

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 200 OK code

Field
Type

Description

serviceId

String

Unique service ID.

serviceName

String

Service name.

serviceType

String

Service type.
The possible values are:
  • Web Online Payment
  • W3C
  • InApp Online Payment

serviceStatus

String

Service status.
The possible values are:
  • Debugging: Service is in development and not yet released.
  • Verifying: Service is pending Samsung approval.
  • Approved: Service is active and available for online payments.
  • Blocked: Service is inactive and cannot be used.

locations

Array

Array of countries where the service is allowed, in the ISO 3166-1 alpha-2 format.

CSR

String

PEM-encoded certificate signing request (CSR) used by Samsung Pay to generate a client certificate. This certificate enables Samsung Pay to encrypt payment data before sending it to your server. The CSR can be self-generated or obtained from your payment gateway.

pgId

String

Unique ID of the payment gateway used for the service.

pgName

String

Name of the payment gateway used for the service.

merchants

Object

Array of merchants associated with the service.

merchants.merchantId

String

Unique merchant ID, assigned by the payment gateway (PG).

merchants.merchantName

String

Merchant name.

merchants.mcc

Array

Array of merchant category codes (MCCs).

merchants.domains

Array

Array of domains authorized for Samsung Pay payments.

Example

200 OK response:

{
    "serviceId": "b449a46cec634171a58ad2",
    "serviceName": "Wallet Web Online",
    "serviceType": "Web Online Payment",
    "serviceStatus": "Approved",
    "locations": [
        "US",
        "ES",
        "FR"
    ],
    "CSR": "-----BEGIN CERTIFICATE-----MIIERT ... 2gAwIB=-----END CERTIFICATE-----",
    "merchants": [
        {
            "merchantId": "1111a46cec634171a58ad2",
            "merchantName": "Best Buy",
            "mcc": [
                "1231",
                "2213",
                "2333"
            ],
            "domains": [
                "www.bestbuy.com",
                "bestbuy.com"
            ]
        },
        {
            "merchantId": "1231a46cec634171a58ad2",
            "merchantName": "Gmarket Jelly Case",
            "mcc": [
                "1231",
                "2213"
            ],
            "domains": [
                "www.gmarket.com"
            ]
        },
        {
            "merchantId": "3452a46cec634171a58ad2",
            "merchantName": "Target Online",
            "mcc": [
                "2333"
            ],
            "domains": [
                "www.target.com"
            ]
        }
    ]
}

Create a service

Creates a new service.

Endpoint

POST /wallet/v1/partner/services

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Request body

Field
Type

Required/Optional

Description

serviceName

String

Required

Service name.

serviceType

String

Required

Service type.
The possible values are:
  • Web Online Payment
  • W3C
  • InApp Online Payment

Currently, only Web Online Payment is supported.

locations

Array

Required

Array of countries where the service is allowed, in the ISO 3166-1 alpha-2 format.

CSR

String

Required

PEM-encoded certificate signing request (CSR) used by Samsung Pay to generate a client certificate. This certificate enables Samsung Pay to encrypt payment data before sending it to your server. The CSR can be self-generated or obtained from your payment gateway.

pgId

String

Optional

Unique ID of the payment gateway used for the service. If the field is not provided, the NONE (Default) value is used.

pgName

String

Optional

Name of the payment gateway used for the service, such as Fiserv.

Response codes

Code

Type

Message

201

Created

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.302

Invalid CSR

Partner CSR upload error

400.303

Invalid PG

PG ID is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

400.503

Invalid domains

Domain name is not available

400.504

Invalid test account

Test account form is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 201 Created code

Field
Type

Description

serviceId

String

Unique service ID.

serviceName

String

Service name.

serviceType

String

Service type.
The possible values are:
  • Web Online Payment
  • W3C
  • InApp Online Payment

serviceStatus

String

Service status.
The possible values are:
  • Debugging: Service is in development and not yet released.
  • Verifying: Service is pending Samsung approval.
  • Approved: Service is active and available for online payments.
  • Blocked: Service is inactive and cannot be used.

locations

Array

Array or countries where the service is allowed, in the ISO 3166-1 alpha-2 format.

CSR

String

PEM-encoded CSR used by Samsung Pay to generate a client certificate. This certificate enables Samsung Pay to encrypt payment data before sending it to your server. The CSR can be self-generated or obtained from your payment gateway.

pgId

String

Unique ID of the payment gateway used for the service.

pgName

String

Name of the payment gateway used for the service.

Example

Request:

{
    "serviceName": "Wallet Web Online",
    "serviceType": "Web Online Payment",
    "locations": [
        "US",
        "ES",
        "FR"
    ],
    "CSR": "-----BEGIN CERTIFICATE-----MIIERT ... 2gAwIB=-----END CERTIFICATE-----",
    "pgId": "A20293812321",
    "pgName": "Fiserv"
}

201 Created response:

{
    "serviceId": "b449a46cec634171a58ad2",
    "serviceName": "Wallet Web Online",
    "serviceType": "Web Online Payment",
    "serviceStatus": "Debugging",
    "locations": [
        "US",
        "ES",
        "FR"
    ],
    "CSR": "-----BEGIN CERTIFICATE-----MIIERT ... 2gAwIB=-----END CERTIFICATE-----",
    "pgId": "A20293812321",
    "pgName": "Fiserv"
}

Update service details

Updates the details of a specific service.

Endpoint

PUT /wallet/v1/partner/services/{serviceId}

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Path

serviceId

String

Required

Unique ID of the service whose details are to be updated.

Request body

Field
Type

Required/Optional

Description

serviceName

String

Optional

Service name.

serviceStatus

String

Optional

Service status.
The possible values are:
  • Debugging: Service is in development and not yet released.
  • Verifying: Service is pending Samsung approval.
  • Approved: Service is active and available for online payments.
  • Blocked: Service is inactive and cannot be used.

locations

Array

Optional

Array of countries where the service is allowed, in the ISO 3166-1 alpha-2 format.

CSR

String

Optional

PEM-encoded certificate signing request (CSR) used by Samsung Pay to generate a client certificate. This certificate enables Samsung Pay to encrypt payment data before sending it to your server. The CSR can be self-generated or obtained from your payment gateway.

pgId

String

Optional

Unique ID of the payment gateway used for the service.

pgName

String

Optional

Name of the payment gateway used for the service.

Response codes

Code

Type

Message

200

OK

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.302

Invalid CSR

Partner CSR upload error

400.303

Invalid PG

PG ID is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

400.503

Invalid domains

Domain name is not available

400.504

Invalid test account

Test account form is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 200 OK code

Field
Type

Description

serviceId

String

Unique service ID.

serviceName

String

Service name.

serviceType

String

Service type.
The possible values are:
  • Web Online Payment
  • W3C
  • InApp Online Payment

serviceStatus

String

Service status.
The possible values are:
  • Debugging: Service is in development and not yet released.
  • Verifying: Service is pending Samsung approval.
  • Approved: Service is active and available for online payments.
  • Blocked: Service is inactive and cannot be used.

locations

Array

Array of countries where the service is allowed, in the ISO 3166-1 alpha-2 format.

CSR

String

PEM-encoded CSR used by Samsung Pay to generate a client certificate. This certificate enables Samsung Pay to encrypt payment data before sending it to your server. The CSR can be self-generated or obtained from your payment gateway.

pgId

String

Unique ID of the payment gateway used for the service.

pgName

String

Name of the payment gateway used for the service.

Example

Request:

{
    "serviceName": "Wallet Web Online PG Service"
}

200 OK response:

{
    "serviceId": "b449a46cec634171a58ad2",
    "serviceName": "Wallet Web Online PG Service",
    "serviceType": "Web Online Payment",
    "serviceStatus": "Debugging",
    "locations": [
        "US",
        "ES",
        "FR"
    ],
    "CSR": "-----BEGIN CERTIFICATE-----MIIERT ... 2gAwIB=-----END CERTIFICATE-----",
    "pgId": "A20293812321",
    "pgName": "Fiserv"
}

Remove a service

Removes a specific service.

Endpoint

DELETE /wallet/v1/partner/services/{serviceId}

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Path

serviceId

String

Required

Unique ID of the service to be removed.

Response codes

Code

Type

Message

204

No Content

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Retrieve merchant details

Retrieves the details of a specific merchant associated with a service.

Endpoint

GET /wallet/v1/partner/merchants/{merchantId}

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site

Header

x-service-id

String

Required

Unique service ID

Path

merchantId

String

Required

Unique ID of the merchant whose details are to be retrieved. This ID is assigned by the PG.

Response codes

Code

Type

Message

200

OK

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

403.103

Merchant Not Eligible

Merchant is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

404.104

Merchant does not exist

Merchant doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 200 OK code

Field
Type

Description

merchantId

String

Unique merchant ID, assigned by the PG.

merchantName

String

Merchant name.

mcc

Array

Array of merchant category codes (MCCs).

domains

Array

Array of domains authorized for Samsung Pay payments.

Example

200 OK response:

{
    "merchantId": "1111a46cec634171a58ad2",
    "merchantName": "Best Buy",
    "mcc": [
        "1231",
        "2213",
        "2333"
    ],
    "domains": [
        "www.bestbuy.com",
        "bestbuy.com"
    ]
}

Add a merchant

Adds a merchant and associates them with a service.

Endpoint

POST /wallet/v1/partner/merchants

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Header

x-service-id

String

Required

Unique service ID.

Request body

Field
Type

Required/Optional

Description

merchantId

String

Required

Unique merchant ID, assigned by the PG.

merchantName

String

Required

Merchant name.

mcc

Array

Optional

Array of merchant category codes (MCCs).

domains

Array

Required

Array of domains authorized for Samsung Pay payments.

Response codes

Code

Type

Message

201

Created

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

403.103

Merchant Not Eligible

Merchant is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

404.104

Merchant does not exist

Merchant doesn’t exist on Samsung Pay

409.101

Merchant ID duplicate

Merchant ID is duplicate of what was registered on Service

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 201 Created code

Field
Type

Description

merchantId

String

Unique merchant ID, assigned by the PG.

merchantName

String

Merchant name.

mcc

Array

Array of merchant category codes (MCCs).

domains

Array

Array of domains authorized for Samsung Pay payments.

Example

Request and 201 Created response:

{
    "merchantId": "1111a46cec634171a58ad2",
    "merchantName": "Best Buy",
    "mcc": [
        "1231",
        "2213",
        "2333"
    ],
    "domains": [
        "www.bestbuy.com",
        "bestbuy.com"
    ]
}

Update merchant details

Updates the details of a specific merchant.

Endpoint

PUT /wallet/v1/partner/merchants/{merchantId}

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Header

x-service-id

String

Required

Unique service ID.

Path

merchantId

String

Required

Unique ID of the merchant whose details are to be updated. This ID is assigned by the PG.

Request body

Field
Type

Required/Optional

Description

mcc

Array

Optional

Array of merchant category codes (MCCs).

domains

Array

Optional

Array of domains authorized for Samsung Pay payments.

Response codes

Code

Type

Message

200

OK

Response body

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

403.102

Test User Not Eligible

Test user is not eligible to company

403.103

Merchant Not Eligible

Merchant is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

404.104

Merchant does not exist

Merchant doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.

Response body for the 200 OK code

Field
Type

Description

merchantId

String

Unique merchant ID, assigned by the PG.

merchantName

String

Merchant name.

mcc

Array

Array of merchant category codes (MCCs).

domains

Array

Array of domains authorized for Samsung Pay payments.

Example

Request:

{
    "domains": [
        "www.bestbuy.com",
        "bestbuy.com",
        "https://bestbuy.com"
    ]
}

200 OK response:

{
    "merchantId": "1111a46cec634171a58ad2",
    "merchantName": "Best Buy",
    "mcc": [
        "online shop",
        "offline shop"
    ],
    "domains": [
        "www.bestbuy.com",
        "bestbuy.com",
        "https://bestbuy.com"
    ]
}

Remove a merchant

Removes the association between the merchant and the service.

Endpoint

DELETE /wallet/v1/partner/merchants/{merchantId}

Request parameters

Parameter

Name
Type

Required/Optional

Description

Header

authorization

String

Required

Basic Authentication header containing the Base64-encoded username and password provided by Samsung, in the following format:
Basic <Base64-encoded username:password>
For example: authorization: Basic am9objpoZWxsbw==

Header

x-partner-id

String

Required

Name of your business account, as defined on the Samsung Developer site.

Header

x-service-id

String

Required

Unique service ID.

Path

merchantId

String

Required

Unique ID of the merchant to be removed. This ID is assigned by the PG.

Response codes

Code

Type

Message

204

No Content

400.101

Missing Data

Mandatory parameter {%s} does not exist

400.301

Invalid Data

{%s} parameter value is invalid

400.501

Invalid Account Information

Account is not available

400.502

Invalid Service Information

ServiceId is not available

403.101

Service Not Eligible

Service is not eligible to company

403.103

Merchant Not Eligible

Merchant is not eligible to company

404.101

Company doesn’t exist

Company doesn’t exist on Samsung Pay

404.102

Account doesn’t exist

Account doesn’t exist on Samsung Pay

404.103

Service does not exist

Service doesn’t exist on Samsung Pay

404.104

Merchant does not exist

Merchant doesn’t exist on Samsung Pay

500.100

Internal Server Error

Samsung Pay server internal error

503.100

Service Unavailable

Server is currently unable to handle the request due to a temporary overloading or maintenance of the server. The implication is that this is a temporary condition, which will be alleviated after some delay. If known, the length of the delay may be indicated in a Retry-After header. If no Retry-After is given, the client should handle the response as it would a 500 response.